VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo:
[legend]

## Public Member Functions

| PipelineVertexInputStateCreateInfo (PipelineVertexInputStateCreateFlags flags_=PipelineVertexInputStateCreateFlags(), uint32_t vertexBindingDescriptionCount_=0, const VertexInputBindingDescription *pVertexBindingDescriptions_=nullptr, uint32_t vertexAttributeDescriptionCount_=0, const VertexInputAttributeDescription *pVertexAttributeDescriptions_=nullptr)
| PipelineVertexInputStateCreateInfo (VkPipelineVertexInputStateCreateInfo const &rhs)
PipelineVertexInputStateCreateInfo & | operator= (VkPipelineVertexInputStateCreateInfo const &rhs)
PipelineVertexInputStateCreateInfo & | setPNext (const void *pNext_)
PipelineVertexInputStateCreateInfo & | setFlags (PipelineVertexInputStateCreateFlags flags_)
PipelineVertexInputStateCreateInfo & | setVertexBindingDescriptionCount (uint32_t vertexBindingDescriptionCount_)
PipelineVertexInputStateCreateInfo & | setPVertexBindingDescriptions (const VertexInputBindingDescription *pVertexBindingDescriptions_)
PipelineVertexInputStateCreateInfo & | setVertexAttributeDescriptionCount (uint32_t vertexAttributeDescriptionCount_)
PipelineVertexInputStateCreateInfo & | setPVertexAttributeDescriptions (const VertexInputAttributeDescription *pVertexAttributeDescriptions_)
| operator VkPipelineVertexInputStateCreateInfo const & () const
| operator VkPipelineVertexInputStateCreateInfo & ()
bool | operator== (PipelineVertexInputStateCreateInfo const &rhs) const
bool | operator!= (PipelineVertexInputStateCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineVertexInputStateCreateFlags | flags
uint32_t | vertexBindingDescriptionCount
const VertexInputBindingDescription * | pVertexBindingDescriptions
uint32_t | vertexAttributeDescriptionCount
const VertexInputAttributeDescription * | pVertexAttributeDescriptions

## Private Attributes

StructureType | sType = StructureType::ePipelineVertexInputStateCreateInfo

## Detailed Description

Definition at line 10370 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineVertexInputStateCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::PipelineVertexInputStateCreateInfo | ( | PipelineVertexInputStateCreateFlags | flags_ = `PipelineVertexInputStateCreateFlags()`,
|  | uint32_t | vertexBindingDescriptionCount_ = `0`,
|  | const VertexInputBindingDescription * | pVertexBindingDescriptions_ = `nullptr`,
|  | uint32_t | vertexAttributeDescriptionCount_ = `0`,
|  | const VertexInputAttributeDescription * | pVertexAttributeDescriptions_ = `nullptr`
| ) |  |

inline

Definition at line 10372 of file vulkan.hpp.

: flags( flags_ )
, vertexBindingDescriptionCount( vertexBindingDescriptionCount_ )
, pVertexBindingDescriptions( pVertexBindingDescriptions_ )
, vertexAttributeDescriptionCount( vertexAttributeDescriptionCount_ )
, pVertexAttributeDescriptions( pVertexAttributeDescriptions_ )
{
}

## PipelineVertexInputStateCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::PipelineVertexInputStateCreateInfo | ( | VkPipelineVertexInputStateCreateInfo const & | rhs | ) |

inline

Definition at line 10385 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineVertexInputStateCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineVertexInputStateCreateInfo &()

VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator VkPipelineVertexInputStateCreateInfo & | ( |  | ) |

inline

Definition at line 10436 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineVertexInputStateCreateInfo*>(this);
}

## operator VkPipelineVertexInputStateCreateInfo const &()

VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator VkPipelineVertexInputStateCreateInfo const & | ( |  | ) | const

inline

Definition at line 10431 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineVertexInputStateCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator!= | ( | PipelineVertexInputStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10452 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator= | ( | VkPipelineVertexInputStateCreateInfo const & | rhs | ) |

inline

Definition at line 10390 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineVertexInputStateCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator== | ( | PipelineVertexInputStateCreateInfo const & | rhs | ) | const

inline

Definition at line 10441 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( vertexBindingDescriptionCount == rhs.vertexBindingDescriptionCount )
&& ( pVertexBindingDescriptions == rhs.pVertexBindingDescriptions )
&& ( vertexAttributeDescriptionCount == rhs.vertexAttributeDescriptionCount )
&& ( pVertexAttributeDescriptions == rhs.pVertexAttributeDescriptions );
}

References flags, pNext, pVertexAttributeDescriptions, pVertexBindingDescriptions, sType, vertexAttributeDescriptionCount, and vertexBindingDescriptionCount.

Referenced by operator!=().

## setFlags()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setFlags | ( | PipelineVertexInputStateCreateFlags | flags_ | ) |

inline

Definition at line 10401 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10395 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPVertexAttributeDescriptions()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setPVertexAttributeDescriptions | ( | const VertexInputAttributeDescription * | pVertexAttributeDescriptions_ | ) |

inline

Definition at line 10425 of file vulkan.hpp.

{
pVertexAttributeDescriptions = pVertexAttributeDescriptions_;
return *this;
}

References pVertexAttributeDescriptions.

## setPVertexBindingDescriptions()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setPVertexBindingDescriptions | ( | const VertexInputBindingDescription * | pVertexBindingDescriptions_ | ) |

inline

Definition at line 10413 of file vulkan.hpp.

{
pVertexBindingDescriptions = pVertexBindingDescriptions_;
return *this;
}

References pVertexBindingDescriptions.

## setVertexAttributeDescriptionCount()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setVertexAttributeDescriptionCount | ( | uint32_t | vertexAttributeDescriptionCount_ | ) |

inline

Definition at line 10419 of file vulkan.hpp.

{
vertexAttributeDescriptionCount = vertexAttributeDescriptionCount_;
return *this;
}

References vertexAttributeDescriptionCount.

## setVertexBindingDescriptionCount()

PipelineVertexInputStateCreateInfo& VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::setVertexBindingDescriptionCount | ( | uint32_t | vertexBindingDescriptionCount_ | ) |

inline

Definition at line 10407 of file vulkan.hpp.

{
vertexBindingDescriptionCount = vertexBindingDescriptionCount_;
return *this;
}

References vertexBindingDescriptionCount.

## Field Documentation

## flags

PipelineVertexInputStateCreateFlags VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::flags

Definition at line 10462 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pNext = nullptr

Definition at line 10461 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pVertexAttributeDescriptions

const VertexInputAttributeDescription* VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pVertexAttributeDescriptions

Definition at line 10466 of file vulkan.hpp.

Referenced by operator==(), and setPVertexAttributeDescriptions().

## pVertexBindingDescriptions

const VertexInputBindingDescription* VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pVertexBindingDescriptions

Definition at line 10464 of file vulkan.hpp.

Referenced by operator==(), and setPVertexBindingDescriptions().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::sType = StructureType::ePipelineVertexInputStateCreateInfo

private

Definition at line 10458 of file vulkan.hpp.

Referenced by operator==().

## vertexAttributeDescriptionCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::vertexAttributeDescriptionCount

Definition at line 10465 of file vulkan.hpp.

Referenced by operator==(), and setVertexAttributeDescriptionCount().

## vertexBindingDescriptionCount

uint32_t VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::vertexBindingDescriptionCount

Definition at line 10463 of file vulkan.hpp.

Referenced by operator==(), and setVertexBindingDescriptionCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:10461
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::vertexAttributeDescriptionCount
uint32_t vertexAttributeDescriptionCount
Definition: vulkan.hpp:10465
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::flags
PipelineVertexInputStateCreateFlags flags
Definition: vulkan.hpp:10462
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::PipelineVertexInputStateCreateInfo
PipelineVertexInputStateCreateInfo(PipelineVertexInputStateCreateFlags flags_=PipelineVertexInputStateCreateFlags(), uint32_t vertexBindingDescriptionCount_=0, const VertexInputBindingDescription *pVertexBindingDescriptions_=nullptr, uint32_t vertexAttributeDescriptionCount_=0, const VertexInputAttributeDescription *pVertexAttributeDescriptions_=nullptr)
Definition: vulkan.hpp:10372
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::vertexBindingDescriptionCount
uint32_t vertexBindingDescriptionCount
Definition: vulkan.hpp:10463
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pVertexAttributeDescriptions
const VertexInputAttributeDescription * pVertexAttributeDescriptions
Definition: vulkan.hpp:10466
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::operator==
bool operator==(PipelineVertexInputStateCreateInfo const &rhs) const
Definition: vulkan.hpp:10441
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::pVertexBindingDescriptions
const VertexInputBindingDescription * pVertexBindingDescriptions
Definition: vulkan.hpp:10464
VULKAN_HPP_NAMESPACE::PipelineVertexInputStateCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:10458
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VkPipelineVertexInputStateCreateInfo
Definition: vulkan_core.h:2320